Bug 450246 - (CVE-2008-1475) CVE-2008-1475 roundup: xmlrpc-server not checking property permissions
CVE-2008-1475 roundup: xmlrpc-server not checking property permissions
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=?
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-06 03:42 EDT by Tomas Hoger
Modified: 2010-02-21 13:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-21 13:07:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-06-06 03:42:16 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1475 to the following vulnerability:

The xml-rpc server in Roundup 1.4.4 does not check property permissions, which allows attackers to bypass restrictions and edit or read restricted properties via the (1) list, (2) display, and (3) set methods.

Upstream bug report:
http://sourceforge.net/tracker/index.php?func=detail&aid=1907211&group_id=31577&atid=402788

Aditional refences:
http://www.securityfocus.com/bid/28238
http://www.frsirt.com/english/advisories/2008/0891
http://secunia.com/advisories/29336
http://xforce.iss.net/xforce/xfdb/41240
Comment 2 Tomas Hoger 2008-06-06 04:04:06 EDT
Correction: xmlrpc fix was committed to upstream CVS about a week after security
fixes in 1.4.4, CHANGES.txt just list an incorrect date.  Sorry about the confusion.
Comment 3 Fedora Update System 2008-11-19 09:48:35 EST
roundup-1.4.6-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-11-19 09:51:45 EST
roundup-1.4.6-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Ruben Kerkhof 2010-02-21 06:39:13 EST
Can this ticket be closed?
Comment 6 Paul P Komkoff Jr 2010-02-21 13:07:34 EST
I guess...

Note You need to log in before you can comment on or make changes to this bug.